Package: groovy.org.codenarc.rule.basic

## [Groovy] Class EqualsOverloadedRule

- groovy.org.codenarc.rule.basic.EqualsOverloadedRule

- The class has an equals method, but the parameter of the method is not of type Object. It is not overriding equals but instead overloading it.

  Authors:
    Hamlet D'Arcy,
    Artur Gajowy
    Marcin Smialek

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority